Subject: Ticket Assigned - Product information
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sat, 10 Jul 2021 09:03:10 +0000

Hi Amr Khalil,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Product information This is in regard to a sofa bed I purchased. Recently it's wooden base broke while I was sitting on it. So, as it was under 2 year warranty, I decided to call the customer support to inquire about how can it be fixed. Firstly, I had to register my complaint twice in a duration of 2 weeks as there was a miscommunication between your team. And in both my complaints, I mentioned that I have moved to Khobar but the purchase was in Jeddah. But still, a team was scheduled to inquire in Jeddah. And after another week or so, I received a call from Home Box team and was informed that as I moved from Jeddah to Khobar, my warranty is null and void which was for products with over 10,000 riyals worth, whereas this is NOT mentioned in the the Terms and Conditions written on any of the invoices. And as per Ministry of Commerce Saudi Arabia, all the terms and conditions sho
 uld be mentioned clearly on the Purchase Invoice, anything not mentioned cannot be imposed as a rule. When I informed this to the customer service representative from Home Box, it was replied to me that they will add it in the future.
Kindly look into this matter and expedite the repair request. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2731789